SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000965SOGoWeb Mailpublic2010-11-10 05:342011-12-29 15:29
Reportermatcheu 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.3.3 
Target VersionFixed in Version1.3.12 
Summary0000965: 0000522: Sub-folders do not show unread message count
DescriptionSorry to fil a new bug for this problem but the sub-folders in the mail section of the web interface don't show how many unread messages there are.

We have to select them to see it.

In our .GNUstepDefaults we have :
SOGoMailShowSubscribedFoldersOnly = NO;

Thanks in advance.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0001019closedludovic check sub-folders automatically 
has duplicate 0001402resolvedludovic new mail in subfolder does not show up 
has duplicate 0001236resolvedludovic When you open the webmail, the unread messages inside the folders are not shown. 

-  Notes
(0002322)
wsourdeau (viewer)
2011-03-30 14:31

Does this still occur?
User avatar (0002942)
Christian Mack (developer)
2011-10-24 08:00

You have to select folders once per session, in order to get the unread count for them.
Afterwards they refresh correctly.

This first step is a bit awkward, especially when having lot's of folders and sieve rules for distributing emails into folders.
(0002948)
maybee (reporter)
2011-10-25 02:16

I am in the same situation having a lot of folders and sieve rules distributing the emails. So perhaps it is possible to preconfigure the subscription of all folders in the .GNUstepDefaults or something like that.
(0003159)
mathis (reporter)
2011-12-14 03:45

See also http://www.sogo.nu/bugs/view.php?id=1289 [^]

This is a real problem for all who use Sieve to pre-sort their mails.

I propose the function to check all folders for new mail (instead of just the INBOX) should be implemented optionally (disabled by default), so anyone who enables it knows that he will generate more load on the IMAP server.
User avatar (0003205)
ludovic (administrator)
2011-12-29 15:28

Fixed - see: http://mtn.inverse.ca/revision/diff/a4f6c377a41454eb21ed5b253cb7d07fc2c1a55e/with/3c7106a946b0d9786d46c4f0c0a7e5bc1e5f8684 [^]

We now check for new mails on all folders that have Sieve rules defined to move mails into.

- Issue History
Date Modified Username Field Change
2010-11-10 05:34 matcheu New Issue
2011-03-30 14:31 wsourdeau Note Added: 0002322
2011-03-30 14:31 wsourdeau Status new => feedback
2011-10-24 08:00 Christian Mack Note Added: 0002942
2011-10-25 02:16 maybee Note Added: 0002948
2011-10-31 09:15 francis Relationship added has duplicate 0001019
2011-11-24 14:17 ludovic Relationship added has duplicate 0001402
2011-11-24 15:15 ludovic Relationship added has duplicate 0001236
2011-12-14 03:45 mathis Note Added: 0003159
2011-12-29 15:28 ludovic Note Added: 0003205
2011-12-29 15:28 ludovic Status feedback => resolved
2011-12-29 15:28 ludovic Fixed in Version => 1.3.12
2011-12-29 15:28 ludovic Resolution open => fixed
2011-12-29 15:28 ludovic Assigned To => ludovic
2011-12-29 15:29 ludovic Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker